Welcome! To use this support forum, please Login or Join Today!

   

Updated PHP to 7.0 and now get syntax errors on Onyx Theme

{name}
Rank

Total Posts: 2

Joined 2019-06-22

PM

 

Hi. We had a developer create our site several years ago but can’t get in touch with him anymore.  I was wondering if you can help with this problem on our site http://www.imva.net

In order to upgrade to Wordpress 5.2.2, I had to upgrade from PHP 5.6 to PHP 7.0 (for some reason, I couldn’t just upgrade to PHP 5.6.2 on networksolution hosting).

When I did that, I got the following Parse error on the white screen of death:

Parse error: syntax error, unexpected ‘&’ in /data/9/2/143/39/2958039/user/3279711/htdocs/imva/wp-content/themes/onyx/page.php on line 13

I tried to re-upload the theme but it wouldn’t let me because the Onyx directory already exists. 

Any thoughts as to how to fix the problem aside from reverting to an older version of Wordpress?

Thanks

{name}
Rank

Total Posts: 2

Joined 2019-06-22

PM

 

Never mind,

I used FTP to reload the theme, reinstalled the Simple Shortcodes and everything works fine now. 

Thanks